/* Font Importation */
@import url("https://fonts.googleapis.com/css2?family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&family=PT+Serif:ital,wght@0,400;0,700;1,400;1,700&family=Raleway:ital,wght@0,100..900;1,100..900&family=Roboto+Flex:opsz,wght@8..144,100..1000&display=swap");

/* General Styles Defaults */
/* CSS Document */
:root {
  --purple: #560048;
  --white: #ffffff;
  --gold: #ffb600;
  --gray: #f7f7f7;
  --darkgray: #737373;
  --darkergray: #464646;
  --dropshadow: #0000003a;
  --slideshow: #000000a8;
  --purpleTint: #560048d8;
  --black: #2e2e2e;
}

html {
  scroll-behavior: smooth;
}

*,
body {
  box-sizing: border-box;
  font-family: "Roboto Flex", sans-serif;
  font-size: 16px;
}

h1 {
  font-family: "PT Serif", serif;
  font-weight: bold;
  font-size: 2.2rem;
}

h2 {
  font-family: "PT Serif", serif;
  font-weight: bold;
  font-size: 1.6rem;
}

h3 {
  font-family: "PT Serif", serif;
  font-weight: 400;
  font-size: 1.3rem;
}

p {
  font-size: 1.3rem;
  font-weight: 300;
  line-height: 1.3;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 3vh;
  padding-bottom: 3vh;
}

.nopad-container {
  max-width: 1200px;
  margin: 0 auto;
  /* Added horizontal padding just for the sides so that it lines up with the .container */
  padding-left: 1rem;
  padding-right: 1rem;
}

.font-l {
  font-size: 1.2rem;
}

.grid-small {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 1rem;
  padding: 2em 0;
  
  .text-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  img {
    width: 100%;
    border-radius: 10px;
  }
  .grid-item {
    margin-top: 1rem;
    padding: 0 0.5rem;
  }
}
.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 1em;

  .text-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 2em 2em;
  }
  img {
    width: 100%;
    border-radius: 10px;
  }
  p {
    font-size: inherit;
  }

  i {
    color: var(--gold);
    font-size: 3rem;
  }
  .grid-col-2 {
    grid-column: 1/3;
  }
}

.grid.grid-gap-collapse{
  gap: 0;
}



.flex {
  display: flex;
  justify-content: center;
  align-items: center;
}

.collapsed-menu {
  padding: 0 1rem;
}

.text-align-center {
  text-align: center;
}

hr {
  width: 200px;
  background-color: var(--gold);
  border: none;
  height: 3px;
}

h1 {
  font-size: 2.1rem;
  font-weight: 700;
}

h2 {
  font-size: 1.8rem;
  font-weight: 600;
}

h3 {
  font-size: 1.5rem;
  margin-top: 10px;
}

p {
  font-size: 1rem;
}

.italic {
  font-style: italic;
}

.text-align-right {
  text-align: right;
}

.left-indent {
  margin-left: 20px;
}

header li,
footer li {
  font-weight: 400;
}

header #navBar a:visited,
header #navBar a:link {
  color: var(--purple);
}

footer a:visited,
footer a:link {
  color: var(--white);
}

header a:hover,
footer a:hover {
  color: var(--gold);
}

blockquote {
  font-weight: 300;
}

.purple-bg {
  background-color: var(--purple);
  color: var(-white);
  p,
  h1,
  h2,
  h3,
  h4 {
    color: inherit;
  }
}
.yellow {
  color: var(--gold);
}
.purple {
  color: var(--purple);
}
.white {
  color: var(--white);
}

.yellow-bg {
  background-color: var(--gold);
}
.black-bg {
  background-color: var(--black);
  color: var(--white);
  p,
  h1,
  h2,
  h3 {
    color: inherit;
  }
}

/* Styles for Main Navigations across all pages */

.socials-bar {
  z-index: 1;
  color: var(--white);
  background-color: var(--purple);
  width: 100%;
  padding: 15px 0;
}

.socials-bar ul li {
  display: inline;
  cursor: pointer;
}

.social-bar-content {
  display: flex;
  justify-content: end;
  align-items: center;
  width: inherit;
  margin: 0 auto;
  padding-left: 1rem;
  padding-right: 1rem;
  max-width: 1200px;
}

.socials-bar a[href="mailto:hello@preblesbooks.com"] {
  font-size: 1rem;
}

.socials-bar .fa-brands {
  font-size: 1rem;
}

.socials-bar a,
.socials-bar li {
  color: var(--white);
  text-decoration: none;
  margin: 0.15rem;
}

.socials-bar a:hover,
.socials-bar li:hover {
  color: var(--gold);
}

.sticky {
  position: fixed;
  top: 0;
  display: block;
  z-index: 2;
}

.sticky + .content {
  padding-top: 50px;
}

/* --------------------------------------
Main Navigation Begins 
---------------------------------------------*/

header#navBar {
  width: 100%;
  box-shadow: 0 14px 20px 0 var(--dropshadow);
  z-index: 2;
  overflow: hidden;
}

nav.main-menu {
  display: none;
}

.logo img {
  width: 110px;
}

nav ul li {
  display: inline-block;
  margin: 12px;
  font-size: 1em;
  cursor: pointer;

  /* padding-bottom: 1rem; */
}
nav ul li a {
  padding-bottom: 0.3rem;
}

nav ul li a:link {
  text-decoration: none;
}

a.active-nav {
  color: var(--gold);
  padding-bottom: 0;
  border-bottom: 0;
}

.navigation {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--purple);
  background-color: var(--white);
  width: 100%;
  padding: 1em 0.8em;
}

/* Toggled menu for mobile devices */
.dropped-menu {
  display: none;
  background-color: var(--white);
  width: 50vw;
  padding: 0.8rem;
  position: fixed;
  top: 115px;
  right: 0;
  box-shadow: 0 10px 10px var(--dropshadow);
  border-radius: 0 0 5px 5px;
  z-index: 5;
}

.dropped-menu a {
  text-decoration: none;
}

.dropped-menu li {
  padding: 1.2em 0.5rem;
  text-align: center;
}

#closeMenuIcon {
  display: none;
}

/* Navigation ends */

/* Breadcrumbs Begins */

p#breadcrumbs a {
  color: var(--white);
  font-size: 1rem;
  text-decoration: none;
}

/* Breadcrumbs End */

/* Styles for top banner for pages except the homepage */

.banner {
  height: 40vh;
  width: 100%;
  color: var(--white);
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  background-size: cover;
  background-position-x: center;
  background-repeat: no-repeat;
  /* background-position-y: center; */
}

.banner h1 {
  color: var(--white);
  font-size: 2rem;
}

.banner p {
  font-size: 1rem;
  font-weight: 400;
  padding: 0 1rem;
  line-height: 1.2;
}

/* Styles for section shading */
.shaded-background {
  background-color: var(--gray);
}

.heading {
  color: var(--purple);
  padding-bottom: 2rem;
}

.breadcrumbs a {
  text-decoration: none;
  color: var(--white);
  font-size: 1rem;
  padding-top: 1rem;
  display: inline-block;
}

/* ===========================================
testimonial section Starts
==========================================*/
#testimonial-cards-group {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  margin-top: 0.5em;
  gap: 1.5rem;
}

.testimonial-card {
  background-color: var(--white);

  border-radius: 10px;
  line-height: 1.5em;
  font-size: 1em;
}

.star-rating {
  color: var(--gold);
  padding: 0.5em 0;
}

.star-off {
  color: var(--darkgray);
}

.testimonial-card img {
  width: 100%;
  object-fit: cover;
  /* object-position: 0 -20px; */
}

.book-image {
  width: 100%;
  overflow: hidden;
}

.author {
  font-weight: 500;
  padding-top: 1em;
}

.book-title {
  font-style: italic;
  font-size: 0.9rem;
  color: var(--darkergray);
}
/* ===========================================
Testimonial section Ends
==========================================*/

/* ======================================
Services Section General Styles
=====================================*/

/* Service Cards background Images & tint */
.writing {
  background-image: url("/images/services/writing-services.webp");
  box-shadow: 0 1000px #a87901dc inset;
}

.editing {
  background-image: url("/images/services/editing-services.webp");
  box-shadow: 0 3000px #560048c4 inset;
}

.publishing {
  background-image: url("/images/services/publishing-services.webp");
  box-shadow: 0 3000px #8b0041c5 inset;
}

.training {
  background-image: url("/images/services/training-services.webp");
  box-shadow: 0 3000px #2b2626c9 inset;
}

.design {
  background-image: url("/images/services/book-cover-design.webp");
  box-shadow: 0 3000px rgba(150, 70, 0, 0.884) inset;
}

.isbn {
  background-image: url("/images/services/isbn-services.webp");
  box-shadow: 0 3000px rgba(23, 0, 86, 0.8) inset;
}

.marketing {
  background-image: url("/images/services/book-launch-services.webp");
  box-shadow: 0 3000px rgba(0, 69, 133, 0.8) inset;
}

.typesetting {
  background-image: url("/images/services/typesetting-services.webp");
  box-shadow: 0 3000px rgba(34, 64, 0, 0.8) inset;
}

.author-brand {
  background-image: url("/images/services/author-branding.webp");
  box-shadow: 0 3000px rgba(63, 2, 143, 0.8) inset;
}

.book-course {
  background-image: url("/images/services/book-to-course.webp");
  box-shadow: 0 3000px rgba(0, 22, 48, 0.8) inset;
}

/* ====================================
Service Section Ends
======================================== */

/* ================================================
Choose Us Section Begins
====================================================*/

.choose-content ul {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
}

#choose-us li {
  display: grid;
  grid-template-columns: auto auto;
  margin: 1.3rem 0;
  /* width: 100%; */
}

#choose-us h3 {
  font-weight: 600;
  margin: 0;
  color: var(--darkergray);
  padding-left: 2rem;
}

#choose-us li p {
  color: var(--darkgray);
  padding-left: 2rem;
  padding-top: 0.3rem;
}

#choose-us .fa-solid {
  color: var(--white);
  font-size: 2rem;
}

.choose-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 70px;
  width: 70px;
  background-color: var(--darkergray);
  border-radius: 5px;
}

.choose-icon:hover {
  background-color: var(--gold);
}

/* ==============================================
Why Choose Us Section Ends -Mobile
=================================================== */

/* "Talk to our team of professionals" currently on several pages*/

/* section wrapper */
#call-us {
  background-color: var(--gold);
  background-image: url("/images/about/a-stack-of-books.jpg");
  background-size: cover;
  background-position-y: center;
  background-repeat: no-repeat;
  box-shadow: 0 3000px rgba(255, 182, 0, 0.9) inset;
  min-height: 12vh;
}

/* -------------------- */

/* ================================================
Call- Us Section Starts 
=====================================================*/
.call-us {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}

/* ------------------------------------------------ */

.call-text {
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  padding: 1em 0;
  text-align: center;
}

.call-text > p:first-of-type {
  font-size: 2rem;
  font-weight: 700;
  color: var(--purple);
  padding: 0.3rem 0;
}

.call-number {
  display: flex;
  justify-content: center;
  align-content: center;
  padding: 1rem 3rem;
  background-color: var(--purple);
  color: var(--white);
  border-radius: 10px;
  font-size: 1.5rem;
  font-weight: bold;
  margin: 1rem 0;
  box-shadow: 0 0 5px var(--dropshadow);
  cursor: pointer;
}

.call-number p {
  margin-left: 1rem;
  font-size: 1.2rem;
  align-self: center;
}

#call-us a {
  text-decoration: none;
  color: var(--white);
}

/* ==========================================
-Call Us Section Ends
-------------------------------------------- */

/* ========================================
Intro Section Cards immediately after slideshow - Starts
========================================== */

.card {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 1rem;
}

.card .text-content {
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  padding: 1rem;
  /* border-radius: 10px 0 0 10px; */
}

.card .heading {
  padding-bottom: 0.5rem;
}

.card h2 {
  font-size: 2rem;
  font-weight: 400;
}
.card p {
  font-size: 1.1rem;
  font-weight: 300;
  padding-top: 1rem;
  line-height: 1.2;
}

.card img {
  width: 100%;
  /* height: 100%; */
  border-radius: 10px;
}

p.tagline {
  font-size: 1rem;
  margin-top: -18px;
}

.card a {
  text-decoration: none;
  color: var(--darkergray);
  display: inline-block;
  margin-top: 2rem;
  font-size: 1.2rem;
}

.card a:hover {
  color: var(--gold);
}
.card ul {
  list-style-type: square;
  font-size: 1.05rem;
  font-weight: 300;
}

.bold {
  font-weight: 500;
}

/* ========================================
Intro Cards immediately after slideshow - Ends
========================================== */

/* Styles for floating whatapp icon - mobile phones */
.chat-icon {
  color: var(--white);
  font-size: 2.5em;
  align-items: center;
  justify-items: center;
  padding: 0.5rem;
}

.whatsapp-chat-box {
  display: flex;
  justify-content: center;
  align-content: center;
  align-items: center;
  justify-items: center;
  position: fixed;
  right: 0;
  bottom: 20vh;
  background-color: var(--white);
  height: 60px;
  width: 60px;
  border-radius: 20px 0 0 20px;
  background-color: #25d366;
  box-shadow: 0 0 10px var(--dropshadow);
  z-index: 10;
}

/*==============================================
Styles for footer region across all pages
================================================*/
.footer-content {
  margin: 0 auto;
  padding-left: 1rem;
  padding-right: 1rem;
  max-width: 1200px;
}

footer {
  background-color: #560048;
  color: var(--white);
  padding: 20px 0;
}

.footer-content ul {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  flex-direction: column;
}

footer ul li {
  display: inline;
  padding: 0 1rem;
}

footer a {
  text-decoration: none;
  color: var(--white);
}

.product-label {
  opacity: 0.5;
  font-size: 0.8rem;
  padding: 1rem 0;
}

/*===================================================
 Social Media handles 
 ====================================================*/

.socials .fa-tiktok,
.socials .fa-instagram,
.socials .fa-x-twitter,
.socials .fa-whatsapp {
  font-size: 2em;
  color: var(--darkergray);
  margin-right: 0.3em;
}

/* Horizontal rule underneath the follow statement */
.socials > hr {
  margin: 0.5em 0 1em 0;
}
/* ==================================== */

/* =======================================
Contact Form on Home and Contact Pages Starts 
=========================================*/
iframe {
  padding-top: 1rem;
}

.contact-content {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  /* margin: 3vh auto; */
  column-gap: 2rem;
}

.contact-image img {
  width: 100%;
  border-radius: 10px;
  box-shadow: 0 0 10px var(--dropshadow);
}

.contact-content .heading {
  padding: 1rem 0;
}

.form-content {
  display: grid;
  grid-template-columns: auto;
}

.contact input,
textarea {
  padding: 1em;
  margin-bottom: 1rem;
  width: 100%;
  border: none;
  background-color: var(--gray);
  font-size: 1em;
  border-radius: 5px;
}

.form-content label {
  padding: 0.7rem 0;
  color: var(--darkergray);
}

.contact div label:first-of-type {
  margin-top: 0;
}

.required {
  color: rgb(190, 1, 1);
}

textarea {
  margin-bottom: 2em;
}

form {
  #recaptcha-box {
    margin-top: -20px;
    padding-bottom: 1rem;
  }
  
  .form-content button {
    background-color: var(--purple);
    color: var(--white);
    width: 100%;
    padding: 1.2rem 0;
    font-size: 1.1em;
    border: none;
    border-radius: 5px;
  }
  
  .submit-button:hover {
    background-color: var(--gold);
    color: var(--purple);
  }
  
  .form-content .fa-paper-plane {
    color: inherit;
    padding: 0 0.5rem;
  }
  
  form label {
    font-weight: 300;
  }
}




/* =======================================
Contact Form on Home and Contact Pages Ends
=========================================*/

/* ============================================
Responsive design begins - Mobile first 
===================================================
===================================================*/
@media only screen and (min-width: 655px) {
  .container {
    padding-top: 8vh;
    padding-bottom: 10vh;
  }

  .heading {
    padding-bottom: 2em;
  }

  .heading p {
    font-size: 1.2rem;
    font-weight: 400;
  }

  nav.collapsed-menu {
    display: none;
  }

  nav.main-menu {
    display: inline-block;
  }

  .logo img {
    width: 130px;
  }
  
  
  .grid-small{
    padding: 2em;
  }
  /* =============================== */
  header#navBar {
    display: flex;
    justify-content: center;
    background-color: var(--white);
    width: 100%;
    box-shadow: none;
  }

  /* -================================--
Social Bar
======================================*/

  .socials-bar {
    color: var(--white);
    background-color: var(--purple);
  }

  .socials-bar ul li {
    margin: 12px;
    font-size: 1.2rem;
  }

  .sticky {
    position: fixed;
    top: 0;
    width: 100%;
  }

  .sticky + .content {
    padding-top: 10px;
  }

  .socials-bar .fa-brands {
    font-size: 1.5rem;
  }

  .navigation {
    margin: 0;
    padding: 1rem;
  }

  a.active-nav {
    color: var(--gold);
    padding-bottom: 0.3rem;
    border-bottom: 3px solid var(--gold);
  }

  /* ===================================
Cards Settings for Desktop
======================================== */
  .card h2 {
    font-size: 2.5rem;
    font-weight: 400;
  }
  .card p {
    font-size: 1.3rem;
    font-weight: 300;
    line-height: 1.2;
  }

  .card ul {
    font-size: 1.3rem;
  }

  p.tagline {
    font-size: 1rem;
  }

  .card a {
    font-size: 1.2rem;
  }

  /* ---========================================
  Banner for other pages
  ===========================================---------------- */
  .banner {
    min-height: 60vh;
    color: var(--white);
    width: 100%;
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    background-size: cover;
    background-position-y: center;
    background-repeat: no-repeat;
  }

  .banner h1 {
    font-size: 3.4rem;
  }

  .banner p {
    font-size: 1.3rem;
    font-weight: 300;
  }

  .banner hr {
    width: 20vw;
  }

  /* ================================================
Choose Us Section Begins
====================================================*/

  #choose-us .heading h2 {
    color: var(--darkergray);
  }

  .choose-content ul {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
    column-gap: 2rem;
  }

  #choose-us li {
    display: grid;
    grid-template-columns: 50px auto;
    gap: 0.5rem;
  }

  /* floating Whatapp chat Icon - Desktop settings */
  .chat-icon {
    color: var(--white);
    font-size: 3em;
    align-items: center;
    justify-items: center;
    padding: 0.5rem;
  }

  .whatsapp-chat-box {
    height: 70px;
    width: 70px;
  }

  .whatsapp-chat-box:hover {
    background-color: var(--darkergray);
  }

  /*===============================================
   Call Professionals Section on desktop 
   ================================================*/
  .call-us {
    align-self: center;
    padding: 1em 0;
  }

  .call-text {
    text-align: left;
    justify-self: center;
  }

  #call-us a {
    justify-self: center;
    width: 80%;
  }

  .call-number:hover {
    box-shadow: 0 10px 10px var(--dropshadow);
    transform: scale(1.02);
    cursor: pointer;
    background-color: var(--darkergray);
    color: var(--gold);
  }
  /* ==============================================
Call us section Ends 
================================================*/

  /*================================================
Footer Section Starts
================================================= */

  footer {
    background-color: #560048;
    color: var(--white);
    padding: 20px 0;
  }

  .footer-content ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    flex-direction: row;
    margin: 0.5rem 0;
  }

  footer ul li {
    display: inline;
    padding: 0 1rem;
  }

  footer a {
    text-decoration: none;
    color: var(--white);
  }

  .product-label {
    font-size: 0.8rem;
    margin: 1rem 0;
  }

  .product-label:hover {
    color: var(--gold);
  }
  .product-label a:hover {
    color: var(--gold);
  }
}
